%define	name	xu4
%define	oname	u4
%define	version	0.5
%define	release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://xu4.sourceforge.net/
Source0:	http://download.sourceforge.net/xu4/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Patch0:		%{name}-optflags.patch.bz2
Patch1:		%{name}-paths.patch.bz2
License:	GPL
Group:		Games/Arcade
Summary:	Ultima IV Recreated
BuildRequires:	libSDL-devel libSDL_mixer-devel libvorbis-devel libogg-devel XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Epoch:		1

%description
XU4 is a recreation of the classic computer game Ultima IV. The
purpose of the project is to make it easy and convenient to play on
modern operating systems.  xu4 is primarily inspired by the much more
ambitious project Exult.  Linux is the primary development platform,
but it should be trivial to port to any system with SDL support.

XU4 isn't a new game based on the Ultima IV story -- it is a faithful
recreation of the old game, right up to the crappy graphics.  If you
are looking for a game with modern gameplay and graphics, this is not
it -- yet.  New features that improve the gameplay and keep with the
spirit of the original game will be added.

The actual data files from Ultima 4 are loaded at runtime, which means
that a copy of Ultima 4 for DOS must be present at runtime.
Fortunately, Ultima IV is available as closed-source freeware on the
internet (legally).  A copy is mirrored at xu4.sourceforge.net.

It is also available from
http://www.zip.com.au/~mfleming/ultima/u4download.html,
http://members.tripod.com/~hardwire1/ultima4.zip,
http://www.members.aol.com/tommage/UltimaPage/ultima4.zip, or
http://www.nightfall.org/~deep/ultima/main.html among many other
sites.

Once downloaded, it must be unzipped in %{_gamesdatadir}/%{oname}/ultima4

%prep
%setup -n %{oname} -q
%patch0 -p0
%patch1 -p0

%build
cd src && %make OPTFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
cd src && %makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} desktopdir=$RPM_BUILD_ROOT%{_datadir}/applnk
install -d $RPM_BUILD_ROOT%{_menudir}
perl -pi -e "s#Exec=u4#Exec=%{_gamesbindir}/u4#g" $RPM_BUILD_ROOT/%{_datadir}/applnk/Games/%{oname}.desktop
kdedesktop2mdkmenu.pl %{name} "Amusement/Adventure" $RPM_BUILD_ROOT/%{_datadir}/applnk/Games/%{oname}.desktop $RPM_BUILD_ROOT/%{_menudir}/%{name} kde
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{oname}/ultima4
install -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
tar -xOjf %{SOURCE1} icons/16x16.png > ${RPM_BUILD_ROOT}%{_miconsdir}/%{oname}.png
tar -xOjf %{SOURCE1} icons/32x32.png > ${RPM_BUILD_ROOT}%{_iconsdir}/%{oname}.png
tar -xOjf %{SOURCE1} icons/48x48.png > ${RPM_BUILD_ROOT}%{_liconsdir}/%{oname}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING doc/FileFormats.txt
%{_gamesbindir}/*
%{_datadir}/pixmaps/%{oname}.bmp
%{_datadir}/pixmaps/%{oname}.png
%dir %{_gamesdatadir}/%{oname}
%{_gamesdatadir}/%{oname}/*
%{_datadir}/applnk/Games/%{oname}.desktop
%{_iconsdir}/%{oname}.png
%{_liconsdir}/%{oname}.png
%{_miconsdir}/%{oname}.png
%{_menudir}/%{name}

%changelog
* Tue Mar 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.5-2mdk
- Updated BuildRequires

* Sat Feb 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.5-1mdk
- 0.5
- Updated Patch #0 and #1
- Epoch tag to deal with different versioning

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.08-3mdk
- rebuild

* Tue Nov 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.08-2mdk
- from Per yvind Karlsen <peroyvind@delonic.no> : 
- Fixed a typo in Patch #1 (from Andrew Taylor <andrewtaylor@users.sourceforge.net>)

* Thu Nov 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.08-1mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- First mdk release

* Mon Sep 25 2002 Andrew Taylor <andrewtaylor@users.sourceforge.net> 
- added quiet flag (-q) to %setup rule to reduce visual clutter

* Mon Jun  4 2002 Andrew Taylor <andrewtaylor@users.sourceforge.net> 
- added dumpsavegame binary

* Mon Jun  4 2002 Andrew Taylor <andrewtaylor@users.sourceforge.net> 
- added music files

* Mon May 13 2002 Andrew Taylor <andrewtaylor@users.sourceforge.net> 
- added new doc files

* Mon May  6 2002 Andrew Taylor <andrewtaylor@users.sourceforge.net> 
- added pixmaps, desktop entry

* Mon Apr 23 2002 Andrew Taylor <andrewtaylor@users.sourceforge.net> 
- updated description

* Mon Apr  8 2002 Andrew Taylor <andrewtaylor@users.sourceforge.net> 
- initial revision
